import { Entity, ManyToOne, PrimaryKey, Property } from '@mikro-orm/core'
import { Zone } from './zone'

@Entity()
export class ZoneEffect {
  @PrimaryKey()
  id!: string

  @ManyToOne(() => Zone)
  zone!: Zone

  @Property()
  effect!: string

  @Property()
  strength!: number
}
